import EquipmentMonitoring from "@/views/screens/screen-components/EquipmentMonitoring.vue";
import ProductionSituation from "@/views/screens/screen-components/ProductionSituation.vue";

export interface ScreenComponent {
  name: string;
  key: string;
  component: any;
  description: string;
}

export const componentsDicts: { [key: string]: ScreenComponent } = {
  // Add your components here
  EquipmentMonitoring: {
    name: "设备监控",
    component: EquipmentMonitoring,
    key: "EquipmentMonitoring",
    description:
      "This component shows the status of the equipment in real-time.",
  },
  ProductionSituation: {
    name: "生产量情况",
    component: ProductionSituation,
    key: "ProductionSituation",
    description:
      "This component shows the production situation of the company.",
  },
};

export const getComponetnByName = (name: string) => {
  return componentsDicts[name].component;
};
